
Name:			redhat-access-plugin-storage
Version:		2.1.0
Release:		0%{?release_suffix}%{?dist}
Summary:		Plugin for Red Hat Storage

Group:			Development/Libraries
License:		ASL 2.0
URL:			http://www.ovirt.org
BuildArch:		noarch
Source0: http://people.redhat.com/sshumake/projects/redhat-access-plugin-storage/redhat-access-plugin-storage-2.1.0-scm-sources.zip
Source1: http://people.redhat.com/sshumake/projects/redhat-access-plugin-storage/redhat-access-plugin-storage-2.1.0.pom
Source2: http://people.redhat.com/sshumake/projects/redhat-access-plugin-storage/redhat-access-plugin-storage-2.1.0.war

Requires: rhsc
Requires: usermode

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
The Red Hat Support Plugin is a support 
plugin for Red Hat Storage

%prep
# We build RHEV-M in the MEAD environment, and that means that the
# sources are archived with root based on repository name

%setup -q -T -b 0 -n redhat-access-plugin-storage

%build

%install
rm -rf %{buildroot}

# ovirt-engine owns the following folders, but we need them for later steps
install -d %{buildroot}/usr/share/ovirt-engine/engine.ear
install -d %{buildroot}/etc/ovirt-engine/

# We need the following directories for the ovirt-sosreport wrapper
install -d %{buildroot}/etc/security/console.apps
install -d %{buildroot}/etc/pam.d
install -d %{buildroot}/usr/bin
install -d %{buildroot}/usr/sbin

# We need the following directories for httpd config
install -d %{buildroot}/etc/httpd/conf.d

# We need the following directories for ovirt-engine-setup
install -d %{buildroot}/usr/share/ovirt-engine/setup/plugins/ovirt-engine-setup/
install -d %{buildroot}/usr/share/ovirt-engine/setup/ovirt_engine_setup/

# We need the following directory for GSS DB wrapper script
install -d %{buildroot}/var/lib/ovirt-engine/db-manual

echo "Skipping artifact"
echo "Skipping artifact"
mkdir %{buildroot}/usr/share/ovirt-engine/engine.ear/redhat-access-plugin-storage-2.1.0.war
unzip -d %{buildroot}/usr/share/ovirt-engine/engine.ear/redhat-access-plugin-storage-2.1.0.war %{SOURCE2}
find %{buildroot}/usr/share/ovirt-engine/engine.ear/redhat-access-plugin-storage-2.1.0.war -type d -exec chmod 755 {} +
install -D %{SOURCE2} %{buildroot}/usr/share/ovirt-engine/engine.ear/redhat-access-plugin-storage-2.1.0.war 

pushd %{buildroot}/usr/share/ovirt-engine/engine.ear
ln -s redhat-access-plugin-storage-2.1.0.war redhat-access-plugin-storage.war
popd

# Copy these two files that are required for the plugin
cp -r ui-plugins %{buildroot}/usr/share/ovirt-engine/ui-plugins
install -m 644 redhat-access-plugin-storage.conf %{buildroot}/etc/ovirt-engine/

# Install ovirt-sosreport wrapper.
install -m 755 utils/ovirt-sosreport-wrapper %{buildroot}/usr/sbin/ovirt-sosreport-wrapper
install -m 644 utils/ovirt-sosreport.pam %{buildroot}/etc/pam.d/ovirt-sosreport
install -m 644 utils/ovirt-sosreport.console-apps %{buildroot}/etc/security/console.apps/ovirt-sosreport

#Install proxy setup in ovirt-engine
cp -r utils/ovirt-engine-setup-plugin/redhat-access-plugin-storage %{buildroot}/usr/share/ovirt-engine/setup/plugins/ovirt-engine-setup
install -m 644 utils/ovirt-engine-setup-plugin/constants_support_plugin.py %{buildroot}/usr/share/ovirt-engine/setup/ovirt_engine_setup/constants_support_plugin.py

ln -s /usr/bin/consolehelper %{buildroot}/usr/bin/ovirt-sosreport

# Install httpd config
install -m 755 httpd-conf/redhat-access-plugin-storage-proxy.conf %{buildroot}/etc/httpd/conf.d

# Install GSS DB wrapper script
install -m 755 packaging/bin/engine-psql.sh %{buildroot}/var/lib/ovirt-engine/db-manual

%files
%defattr(-,ovirt,ovirt,-)
%dir /usr/share/ovirt-engine/engine.ear/redhat-access-plugin-storage.war
/usr/share/ovirt-engine/engine.ear/*
%dir /usr/share/ovirt-engine/ui-plugins/redhat_access_plugin_storage
/usr/share/ovirt-engine/ui-plugins*
%config(noreplace) /etc/ovirt-engine/redhat-access-plugin-storage.conf
%defattr(-,root,root,-) 
%config(noreplace) /etc/pam.d/ovirt-sosreport
%config(noreplace) /etc/security/console.apps/ovirt-sosreport
/usr/bin/ovirt-sosreport
/usr/sbin/ovirt-sosreport-wrapper
%config(noreplace) /etc/httpd/conf.d/redhat-access-plugin-storage-proxy.conf
/usr/share/ovirt-engine/setup/plugins/ovirt-engine-setup/*
/usr/share/ovirt-engine/setup/ovirt_engine_setup/*
/var/lib/ovirt-engine/db-manual/engine-psql.sh
%doc LICENSE

%posttrans
# Formerly %post, ensures that the redeploy isn't done until the very end of install/upgrade processes
if [ -f /usr/share/ovirt-engine/engine.ear/META-INF/application.xml ]; then
    if ! grep -q '<web-uri>redhat-access-plugin-storage.war</web-uri>'  /usr/share/ovirt-engine/engine.ear/META-INF/application.xml; then
		sed -i '/<\/application>/i \
		<!-- START Red Hat Access Plug-in DO NOT REMOVE THIS COMMENT --> \
		<module> \
		<web> \
		<web-uri>redhat-access-plugin-storage.war<\/web-uri> \
		<context-root>\/redhat-access-plugin-storage<\/context-root> \
		<\/web> \
		<\/module> \
		<!-- END Red Hat Access Plug-in DO NOT REMOVE THIS COMMENT -->' /usr/share/ovirt-engine/engine.ear/META-INF/application.xml
	fi
fi

# Red Hat Access Plugin installed - tell JBoss that we want engine.ear redeployed to action it.
if [ -d /var/lib/ovirt-engine/deployments ] ; then
	touch /var/lib/ovirt-engine/deployments/engine.ear.dodeploy
fi

#Add version to config file 
printf "\nversion=2.1.0-0" >> /etc/ovirt-engine/redhat-access-plugin-storage.conf

#Remove once integrated!!!!!!
service httpd restart

%postun
# If this is an actual un-install, fix application.xml and redeploy ovirt-engine.
if [ -f /usr/share/ovirt-engine/engine.ear/META-INF/application.xml ]; then
	if [ $1 -eq 0 ] ; then
		sed  -i '/<!-- START Red Hat Access Plug-in DO NOT REMOVE THIS COMMENT -->/,/<!-- END Red Hat Access Plug-in DO NOT REMOVE THIS COMMENT -->/d' /usr/share/ovirt-engine/engine.ear/META-INF/application.xml
	
		# Red Hat Access Plugin uninstalled - redeploy engine.ear so references are removed
		if [ -d /var/lib/ovirt-engine/deployments ] ; then
			touch /var/lib/ovirt-engine/deployments/engine.ear.dodeploy
		fi
	fi
fi

%triggerin -- rhsc-backend
if [ -f /usr/share/ovirt-engine/engine.ear/META-INF/application.xml ]; then
    if ! grep -q '<web-uri>redhat-access-plugin-storage.war</web-uri>'  /usr/share/ovirt-engine/engine.ear/META-INF/application.xml; then
		sed -i '/<\/application>/i \
		<!-- START Red Hat Access Plug-in DO NOT REMOVE THIS COMMENT --> \
		<module> \
		<web> \
		<web-uri>redhat-access-plugin-storage.war<\/web-uri> \
		<context-root>\/redhat-access-plugin-storage<\/context-root> \
		<\/web> \
		<\/module> \
		<!-- END Red Hat Access Plug-in DO NOT REMOVE THIS COMMENT -->' /usr/share/ovirt-engine/engine.ear/META-INF/application.xml
	fi
fi

# Red Hat Access Plugin installed - tell JBoss that we want engine.ear redeployed to action it.
if [ -d /var/lib/ovirt-engine/deployments ] ; then
	touch /var/lib/ovirt-engine/deployments/engine.ear.dodeploy
fi


%changelog
* Thu Aug 29 2013 Spenser Shumaker <sshumake@redhat.com> - 2.1.0-0
- Review Request: redhat-access-plugin-storage - RHS Plug-in for interacting with subscriber services
- Resolves: rhbz999245

* Wed Apr 10 2013 Spenser Shumaker <sshumake@redhat.com> - 1.0.0-0
- Initial build
